## qt4-x11 4.7.4

=== debian/changelog ===
qt4-x11 (4:4.7.4-2) unstable; urgency=low

  * Update debian/rules: build documentation in dh_auto_install so it is only
    built when arch-all packages are generated. (Closes: #653427)

 -- Fathi Boudra <fabo@debian.org>  Thu, 05 Jan 2012 22:23:02 +0200

qt4-x11 (4:4.7.4-1) unstable; urgency=low

  * New upstream release.
    - QTreeView crash in indexRowSizeHint/itemHeight. (Closes: #632855)
    - include fixes for CVE-2011-3193 and CVE-2011-3194. (Closes: #641738)
  * Add Pino Toscano to Uploaders.
  * Remove patches:
    - Fix_GL_problems_on_stock_1.4_SGX_drivers.patch - stolen upstream.
    - Fixed_missing_text_when_using_static_text_items_in_GL_2_engine.patch -
      stolen upstream.
    - Prevent_recursion_when_creating_window_surface.patch - stolen upstream.
    - Check-if-the-interpolators-have-already-been-deleted.patch - stolen
      upstream.
    - 21_qt_ia32_library_path.diff - interacts incompatibly with the multiarch
      path resolution and should be obsolete anyway now that multiarch is
      available: we should drop qt from the next ia32-libs upload.
  * Add patches:
    - openssl_no_ssl2.patch - OpenSSL in Debian dropped the insecure SSLv2
      protocol. (Closes: #640210)
    - Remove_QtHelp_dependency_on_QtXml.patch - (Closes: #641753)
  * Break qdbus out into a separate 'qdbus' package and make it a dependency of
    libqt4-dbus, because some things will use this at runtime. It makes
    libqt4-dbus genuinely multiarch-installable.
  * Update debian/rules:
    - add -reduce-relocations configure option.
  * Update debian/libqt4-declarative.install: rename libtcpserver.so to
    libqmldbg_tcp.so.
  * Add libqt4-declarative-shaders package.
  * Update symbol files.

  [ Pino Toscano ]
  * Force a non-parallel build on ia64, maybe it fixes the build on this arch.
  * Add patch Bug-fix-Allow-QTDIR-to-contain-regex-metacharacters.patch to fix
    the headers generation if the source path contains special characters
    (like '+').

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Dec 2011 14:15:47 +0100
