=== debian/control ===
Source: qt4-x11
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 7.4.13),
               firebird2.5-dev [amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc],
               flex,
               freetds-dev,
               g++ (>= 4:4.5) [s390],
               g++-4.6 (>= 4.6.0-7~) [armel],
               libasound2-dev [linux-any],
               libaudio-dev,
               libcups2-dev,
               libdbus-1-dev,
               libfreetype6-dev,
               libgl1-mesa-dev,
               libglib2.0-dev,
               libglu1-mesa-dev,
               libgstreamer-plugins-base0.10-dev,
               libgstreamer0.10-dev,
               libgtk2.0-dev,
               libice-dev,
               libjpeg-dev,
               libmng-dev,
               libmysqlclient-dev,
               libpam0g-dev,
               libpng12-dev,
               libpq-dev,
               libreadline-dev,
               libsm-dev,
               libsqlite0-dev,
               libsqlite3-dev,
               libssl-dev,
               libtiff4-dev,
               libx11-dev,
               libxcursor-dev,
               libxext-dev,
               libxft-dev,
               libxi-dev,
               libxinerama-dev,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libxv-dev,
               pkg-kde-tools (>= 0.6.4),
               rsync,
               unixodbc-dev,
               zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://qt.nokia.com/
Vcs-Git: git://git.debian.org/pkg-kde/qt/qt4-x11.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qt4-x11.git;a=summary

Package: libqtcore4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt4-core (<< 4.4.0~beta1-1), libqt4-gui (<< 4.4.0~beta1-1)
Breaks: libqt4-core (<< 4.4.0~beta1-1), libqt4-gui (<< 4.4.0~beta1-1)
Description: Qt 4 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt4-core
Architecture: any
Section: oldlibs
Priority: extra
Depends: libqt4-dbus (= ${binary:Version}),
         libqt4-network (= ${binary:Version}),
         libqt4-script (= ${binary:Version}),
         libqt4-test (= ${binary:Version}),
         libqt4-xml (= ${binary:Version}),
         libqtcore4 (= ${binary:Version}),
         ${misc:Depends}
Description: transitional package for Qt 4 core non-GUI runtime libraries
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package to enable installation of other packages
 linked against Qt 4.3 or earlier Qt 4 releases previously shipped.

Package: libqtgui4
Architecture: any
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libcups2
Suggests: qt4-qtconfig
Breaks: libqt4-core (<< 4.0.1-3),
        libqt4-designer (<< 4.4.0~beta1-1),
        libqt4-gui (<< 4.4.0),
        qt4-designer (<< 4.1.4)
Replaces: libqt4-core (<< 4.0.1-3),
          libqt4-designer (<< 4.4.0~beta1-1),
          libqt4-gui (<< 4.4.0),
          qt4-designer (<< 4.1.4)
Description: Qt 4 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: libqt4-gui
Architecture: any
Section: oldlibs
Priority: extra
Depends: libqt4-designer (= ${binary:Version}),
         libqt4-opengl (= ${binary:Version}),
         libqt4-svg (= ${binary:Version}),
         libqtgui4 (= ${binary:Version}),
         ${misc:Depends}
Description: transitional package for Qt 4 GUI runtime libraries
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package depending on the Qt 4 GUI library
 packages which the package of the same name used to provide in Qt 4.3.4
 and earlier packages of Qt 4.

Package: libqt4-network
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-core (<< 4.4.0~beta1-1)
Replaces: libqt4-core (<< 4.4.0~beta1-1)
Description: Qt 4 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt4-opengl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-gui (<< 4.4.0~beta1-1)
Replaces: libqt4-gui (<< 4.4.0~beta1-1)
Description: Qt 4 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt4-script
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-core (<< 4.4.0~beta1-1)
Replaces: libqt4-core (<< 4.4.0~beta1-1)
Description: Qt 4 script module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScript module provides classes for making Qt applications scriptable.

Package: libqt4-scripttools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 script tools module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScriptTools module provides additional components for applications that
 use Qt Script.
 .
 This package contains the Qt Script debugger, a tool for debugging script
 execution in Qt applications that use Qt Script.

Package: libqt4-sql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt4-sql-mysql | libqt4-sql-odbc | libqt4-sql-psql | libqt4-sql-sqlite | libqt4-sql-sqlite2 | libqt4-sql-ibase [amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc]
Suggests: libqt4-dev
Description: Qt 4 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.
 .
 If you wish to use the SQL module for development, you should install the
 libqt4-dev package.

Package: libqt4-sql-ibase
Architecture: amd64 armel i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 InterBase/FireBird database driver
 This package contains the InterBase/FireBird plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 InterBase/FireBird DB.

Package: libqt4-sql-mysql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 MySQL database driver
 This package contains the MySQL plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt4-sql-odbc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 ODBC database driver
 This package contains the ODBC plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt4-sql-psql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt4-sql-sqlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

Package: libqt4-sql-sqlite2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 SQLite 2 database driver
 This package contains the SQLite 2 plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 2 DB.

Package: libqt4-sql-tds
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libqt4-dev
Description: Qt 4 FreeTDS database driver
 This package contains the FreeTDS plugin for Qt 4.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MS SQL or Sybase SQL server.

Package: libqt4-svg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-gui (<< 4.4.0~beta1-1)
Replaces: libqt4-gui (<< 4.4.0~beta1-1)
Description: Qt 4 SVG module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSvg module provides classes for displaying the contents of SVG files.
 .
 Scalable Vector Graphics (SVG) is a language for describing two-dimensional
 graphics and graphical applications in XML.

Package: libqt4-webkit
Architecture: any
Section: oldlibs
Priority: extra
Depends: libqtwebkit4 (>= 2.0~), ${misc:Depends}
Description: transitional package for Qt 4 WebKit module
 Qt is a cross-platform C++ application framework.  Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a dummy transitional package to enable installation of other packages
 linked against Qt WebKit 4.4 - 4.6 releases previously shipped from Qt source.

Package: libqt4-xml
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt4-core (<< 4.4.0~beta1-1)
Replaces: libqt4-core (<< 4.4.0~beta1-1)
Description: Qt 4 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt4-xmlpatterns
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 4 XML patterns module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.

Package: libqt4-dbus
Architecture: any
Depends: qdbus (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt4-core (<< 4.4.0~beta1-1), libqt4-dev (<< 4:4.7.1)
Breaks: libqt4-core (<< 4.4.0~beta1-1), libqt4-dev (<< 4:4.7.1)
Description: Qt 4 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.
